#
#
# qmake configuration for freebsd-icc
#
# Written for Intel C++ 7.1 and above.
#
# Note: Some of the remarks from the Intel compiler are disabled (even
# with 'warn_on' specified):
#
# remark #171: invalid type conversion: "int" to "void *"
# remark #193: zero used for undefined preprocessing identifier
# remark #279: controlling expression is constant
# remark #304: access control not specified ("public" by default)
# remark #383: value copied to temporary, reference to temporary used
# remark #424: extra ";" ignored
# remark #444: destructor for base class "Class" is not virtual
# remark #488: template parameter "T" is not used in declaring the parameter
#              types of function template "function"
# remark #810: conversion from "type1" to "type2" may loose significant bits
# remark #981: operands are evaluated in unspecified order
# remark #1418: external definition with no prior declaration
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= icc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		=
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	= -w2 -wd171,193,304,279,383,424,444,488,810,981,1418
TQMAKE_CFLAGS_WARN_OFF	= -w0
TQMAKE_CFLAGS_RELEASE	= -O2
TQMAKE_CFLAGS_DEBUG	= -g -O0
TQMAKE_CFLAGS_SHLIB	= -KPIC
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_THREAD	= -D_THREAD_SAFE

TQMAKE_CXX		= icpc
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD

# Addon software goes into /usr/local on the BSDs, by default we will look there
TQMAKE_INCDIR		= /usr/local/include
TQMAKE_LIBDIR		= /usr/local/lib
TQMAKE_INCDIR_X11	= /usr/X11R6/include
TQMAKE_LIBDIR_X11	= /usr/X11R6/lib
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /usr/X11R6/include
TQMAKE_LIBDIR_OPENGL	= /usr/X11R6/lib

TQMAKE_LINK		= icpc
TQMAKE_LINK_SHLIB	= icpc
TQMAKE_LFLAGS		=
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -shared
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Qoption,ld,-soname,
TQMAKE_LFLAGS_THREAD	= -mt
TQMAKE_RPATH		= -Qoption,ld,-rpath,

TQMAKE_LIBS		=
TQMAKE_LIBS_DYNLOAD	=
TQMAKE_LIBS_X11		= -lXext -lX11 -lm
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu
TQMAKE_LIBS_THREAD	=

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cqs
TQMAKE_RANLIB		= 

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
